Package org.apache.qpid.proton.codec

# Class ArrayType

java.lang.Object
org.apache.qpid.proton.codec.ArrayType

All Implemented Interfaces:
  `AMQPType<Object[]>`, `PrimitiveType<Object[]>`

public class ArrayType extends Object implements PrimitiveType<Object[]>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ArrayType.ArrayEncoding`

## Constructor Summary

Constructors
Constructor
Description
`ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)`

## Method Summary

Modifier and Type
Method
Description
`Collection<ArrayType.ArrayEncoding>`
`getAllEncodings()`
`ArrayType.ArrayEncoding`
`getCanonicalEncoding()`
`ArrayType.ArrayEncoding`
`getEncoding(Object[] val)`
`Class<Object[]>`
`getTypeClass()`
`void`
`write(boolean[] a)`
`void`
`write(byte[] a)`
`void`
`write(char[] a)`
`void`
`write(double[] a)`
`void`
`write(float[] a)`
`void`
`write(int[] a)`
`void`
`write(long[] a)`
`void`
`write(short[] a)`
`void`
`write(Object[] val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayType

public ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)

## Method Details

### getTypeClass

public Class<Object[]> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Object[]>`

### getEncoding

public ArrayType.ArrayEncoding getEncoding(Object[] val)

Specified by:
  `getEncoding` in interface `AMQPType<Object[]>`
Specified by:
  `getEncoding` in interface `PrimitiveType<Object[]>`

### getCanonicalEncoding

public ArrayType.ArrayEncoding getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<Object[]>`
Specified by:
  `getCanonicalEncoding` in interface `PrimitiveType<Object[]>`

### getAllEncodings

public Collection<ArrayType.ArrayEncoding> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<Object[]>`
Specified by:
  `getAllEncodings` in interface `PrimitiveType<Object[]>`

### write

public void write(Object[] val)

Specified by:
  `write` in interface `AMQPType<Object[]>`

### write

public void write(boolean[] a)

### write

public void write(byte[] a)

### write

public void write(short[] a)

### write

public void write(int[] a)

### write

public void write(long[] a)

### write

public void write(float[] a)

### write

public void write(double[] a)

### write

public void write(char[] a)